Add output codec to video
curl --request PUT \
--url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId} \
--header 'AccessKey: <api-key>'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}"
headers = {"AccessKey": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {AccessKey: '<api-key>'}};
fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"videoLibraryId": 123,
"guid": "<string>",
"title": "<string>",
"dateUploaded": "2023-11-07T05:31:56Z",
"views": 123,
"isPublic": true,
"length": 123,
"status": 0,
"framerate": 123,
"width": 123,
"height": 123,
"outputCodecs": "<string>",
"thumbnailCount": 123,
"encodeProgress": 123,
"storageSize": 123,
"hasMP4Fallback": true,
"averageWatchTime": 123,
"totalWatchTime": 123,
"description": "<string>",
"rotation": 123,
"availableResolutions": "<string>",
"captions": [
{
"srclang": "<string>",
"label": "<string>",
"version": 123
}
],
"collectionId": "<string>",
"thumbnailFileName": "<string>",
"thumbnailUrl": "<string>",
"thumbnailBlurhash": "<string>",
"category": "<string>",
"chapters": [
{
"title": "<string>",
"start": 123,
"end": 123
}
],
"moments": [
{
"label": "<string>",
"timestamp": 123
}
],
"metaTags": [
{
"property": "<string>",
"value": "<string>"
}
],
"transcodingMessages": [
{
"timeStamp": "2023-11-07T05:31:56Z",
"level": 0,
"issueCode": 0,
"message": "<string>",
"value": "<string>"
}
],
"jitEncodingEnabled": true,
"smartGenerateStatus": 0,
"smartGenerateFeaturesStatus": {
"title": 0,
"description": 0,
"chapters": 0,
"moments": 0
},
"hasOriginal": true,
"originalHash": "<string>",
"hasHighQualityPreview": true
}"<string>"{
"success": true,
"message": "<string>",
"statusCode": 123
}{
"success": true,
"message": "<string>",
"statusCode": 123
}Manage Videos
Add output codec to video
Encodes and adds an additional output codec to an already-encoded video. Requires Premium Encoding to be enabled for the library and the codec to already be enabled for the library, and fails if the original source file is missing or the codec was already processed.
PUT
/
library
/
{libraryId}
/
videos
/
{videoId}
/
outputs
/
{outputCodecId}
Add output codec to video
curl --request PUT \
--url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId} \
--header 'AccessKey: <api-key>'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}"
headers = {"AccessKey": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {AccessKey: '<api-key>'}};
fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/outputs/{outputCodecId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"videoLibraryId": 123,
"guid": "<string>",
"title": "<string>",
"dateUploaded": "2023-11-07T05:31:56Z",
"views": 123,
"isPublic": true,
"length": 123,
"status": 0,
"framerate": 123,
"width": 123,
"height": 123,
"outputCodecs": "<string>",
"thumbnailCount": 123,
"encodeProgress": 123,
"storageSize": 123,
"hasMP4Fallback": true,
"averageWatchTime": 123,
"totalWatchTime": 123,
"description": "<string>",
"rotation": 123,
"availableResolutions": "<string>",
"captions": [
{
"srclang": "<string>",
"label": "<string>",
"version": 123
}
],
"collectionId": "<string>",
"thumbnailFileName": "<string>",
"thumbnailUrl": "<string>",
"thumbnailBlurhash": "<string>",
"category": "<string>",
"chapters": [
{
"title": "<string>",
"start": 123,
"end": 123
}
],
"moments": [
{
"label": "<string>",
"timestamp": 123
}
],
"metaTags": [
{
"property": "<string>",
"value": "<string>"
}
],
"transcodingMessages": [
{
"timeStamp": "2023-11-07T05:31:56Z",
"level": 0,
"issueCode": 0,
"message": "<string>",
"value": "<string>"
}
],
"jitEncodingEnabled": true,
"smartGenerateStatus": 0,
"smartGenerateFeaturesStatus": {
"title": 0,
"description": 0,
"chapters": 0,
"moments": 0
},
"hasOriginal": true,
"originalHash": "<string>",
"hasHighQualityPreview": true
}"<string>"{
"success": true,
"message": "<string>",
"statusCode": 123
}{
"success": true,
"message": "<string>",
"statusCode": 123
}Path Parameters
Response
The details of the requested video
status
Created · enum<integer>Uploaded · enum<integer>Processing · enum<integer>Transcoding · enum<integer>Finished · enum<integer>Error · enum<integer>UploadFailed · enum<integer>JitSegmenting · enum<integer>JitPlaylistsCreated · enum<integer>
required
The status of the video. See VideoModelStatus.
Available options:
0 smartGenerateStatus
None · enum<integer>Queued · enum<integer>InProgress · enum<integer>Finished · enum<integer>Failed · enum<integer>
Aggregate smart generate status derived from per-feature statuses when present: InProgress, then Queued, then Failed, then Finished; otherwise the stored legacy value. See SmartGenerateFeaturesStatus.
Available options:
0